/// <reference types="react" />
import {
  SanityImageSource,
  SanityClientLike,
  SanityProjectDetails,
} from "@sanity/image-url/lib/types/types"

interface INextImage {
  image: SanityImageSource
  width?: number
  height?: number
  alt?: string
  sizes?: string
  config: SanityClientLike | SanityProjectDetails
}

declare function NextImage({ config, image }: INextImage): JSX.Element

export { NextImage }
